<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sat Aug 03 14:00:55 PDT 2013 -->
<TITLE>
NjordPreferences
</TITLE>

<META NAME="date" CONTENT="2013-08-03">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="NjordPreferences";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NjordPreferences.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../com/theuberlab/njord/util/NjordParser.toolTipNotice.html" title="class in com.theuberlab.njord.util"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../com/theuberlab/njord/util/NjordWindowSaver.html" title="class in com.theuberlab.njord.util"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?com/theuberlab/njord/util/NjordPreferences.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NjordPreferences.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
com.theuberlab.njord.util</FONT>
<BR>
Class NjordPreferences</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>com.theuberlab.njord.util.NjordPreferences</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <B>NjordPreferences</B><DT>extends java.lang.Object</DL>
</PRE>

<P>
An instance of this class stores all of Njord's preferences for run-time. 
 This should help prevent creating a thousand global variables.
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD>Aaron Forster</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>(package private) &nbsp;java.util.List&lt;<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#bigips">bigips</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Stores all the BIG-IP entries stored in the preferences file.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#layoutPrefsFilePath">layoutPrefsFilePath</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The complete path to the file that will hold all our window geometry/tab information</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.slf4j.Logger</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#log">log</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Holds our logger factory for SLF4J.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#njordPrefsDir">njordPrefsDir</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Stores the path to the Njord preferences directory.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>(package private) &nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#prefAutoActivationDelay">prefAutoActivationDelay</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;If autocomplete activates automatically.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>(package private) &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#prefAutoActivationEnabled">prefAutoActivationEnabled</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Should autocomplete activate automatically yes/no.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>(package private) &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#prefAutoScroll">prefAutoScroll</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Auto scroll yes/no.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>(package private) &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#prefCodeFoldingEnabled">prefCodeFoldingEnabled</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Code folding yes/no.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>(package private) &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#prefEOLMarkersVisible">prefEOLMarkersVisible</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Paints a special, if somewhat odd character at EOL.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>(package private) &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#prefLineWrapEnabled">prefLineWrapEnabled</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Line wrap yes/no.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>(package private) &nbsp;char[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#prefMasterPasword">prefMasterPasword</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The actual pass phrase used to encrypt and decrypt passwords stored on disk.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>(package private) &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#prefPaintTabLines">prefPaintTabLines</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Shows arrows for tabs "--->--->--->".</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>(package private) &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#prefReqMasterPassword">prefReqMasterPassword</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Require that the user enter a password to encrypt and decrypt passwords stored on disk.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>(package private) &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#prefSaveWindowGeometry">prefSaveWindowGeometry</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Save the size and location of windows when you close Njord.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#prefsFileName">prefsFileName</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The file name of the preferences file.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>(package private) &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#prefShwExpmntl">prefShwExpmntl</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Show experimental items.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>(package private) &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#prefShwLineNumbers">prefShwLineNumbers</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Show visible line numbers yes/no.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>(package private) &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#prefShwSysiRules">prefShwSysiRules</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Show system iRules.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>(package private) &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#prefVisibleWhiteSpace">prefVisibleWhiteSpace</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Shows dots for spaces and such.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#userHome">userHome</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Stores the path to the users home directory</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#NjordPreferences()">NjordPreferences</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#addBigIP(com.theuberlab.njord.model.BigIP)">addBigIP</A></B>(<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A>&nbsp;newBigIP)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds a bigip to the list of bigips.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#getAutoActivationDelay()">getAutoActivationDelay</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#getAutoActivationEnabled()">getAutoActivationEnabled</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#getAutoScroll()">getAutoScroll</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#getBigIP(java.lang.String)">getBigIP</A></B>(java.lang.String&nbsp;bigIPName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.List&lt;<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#getBIGIPS()">getBIGIPS</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the bigip objects for the bigips we are storing.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#getCodeFoldingEnabled()">getCodeFoldingEnabled</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#getDisplayExperimental()">getDisplayExperimental</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Should we display experimental items?</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#getEOLMarkersVisible()">getEOLMarkersVisible</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#getLayoutPrefsFilePath()">getLayoutPrefsFilePath</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#getLineWrapEnabled()">getLineWrapEnabled</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;char[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#getMasterPassword()">getMasterPassword</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the master password used to encrypt and decrypt passwords stored on disk.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#getPaintTabLines()">getPaintTabLines</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#getSaveWindowGeometry()">getSaveWindowGeometry</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#getShwExpmntl()">getShwExpmntl</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#getShwLineNumbers()">getShwLineNumbers</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#getShwSysiRules()">getShwSysiRules</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#getVisibleWhiteSpace()">getVisibleWhiteSpace</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#loadPreferences()">loadPreferences</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;loadPreferences will handle reading in connections preferences and creating the prefs file if need be.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#removeBigIP(com.theuberlab.njord.model.BigIP)">removeBigIP</A></B>(<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A>&nbsp;oldBigIP)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;removes a BigIP from the list of bigips.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#replaceBigIP(com.theuberlab.njord.model.BigIP, com.theuberlab.njord.model.BigIP)">replaceBigIP</A></B>(<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A>&nbsp;oldBigIP,
             <A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A>&nbsp;newBigIP)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Replaces a bigip's settings with new ones.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#setBIGIPS(java.util.List)">setBIGIPS</A></B>(java.util.List&lt;<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A>&gt;&nbsp;bigips)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;NOT IMPLEMENTED Set/Update the list of BIGIPS.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#setMasterPassword(char[])">setMasterPassword</A></B>(char[]&nbsp;password)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the master password used to encrypt and decrypt passwords stored on disk.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#toggleAutoActivationEnabled()">toggleAutoActivationEnabled</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#toggleAutoScroll()">toggleAutoScroll</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#toggleCodeFoldingEnabled()">toggleCodeFoldingEnabled</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#toggleEOLMarkersVisible()">toggleEOLMarkersVisible</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#toggleLineWrapEnabled()">toggleLineWrapEnabled</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#togglePaintTabLines()">togglePaintTabLines</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#toggleShwLineNumbers()">toggleShwLineNumbers</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#toggleVisibleWhiteSpace()">toggleVisibleWhiteSpace</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordPreferences.html#writePreferences()">writePreferences</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Writes preferences to disk after you have edited them.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="log"><!-- --></A><H3>
log</H3>
<PRE>
public final org.slf4j.Logger <B>log</B></PRE>
<DL>
<DD>Holds our logger factory for SLF4J.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="userHome"><!-- --></A><H3>
userHome</H3>
<PRE>
public java.lang.String <B>userHome</B></PRE>
<DL>
<DD>Stores the path to the users home directory
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="njordPrefsDir"><!-- --></A><H3>
njordPrefsDir</H3>
<PRE>
public java.lang.String <B>njordPrefsDir</B></PRE>
<DL>
<DD>Stores the path to the Njord preferences directory. Currently storing in Njord2
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="layoutPrefsFilePath"><!-- --></A><H3>
layoutPrefsFilePath</H3>
<PRE>
public final java.lang.String <B>layoutPrefsFilePath</B></PRE>
<DL>
<DD>The complete path to the file that will hold all our window geometry/tab information
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="prefsFileName"><!-- --></A><H3>
prefsFileName</H3>
<PRE>
public final java.lang.String <B>prefsFileName</B></PRE>
<DL>
<DD>The file name of the preferences file.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#com.theuberlab.njord.util.NjordPreferences.prefsFileName">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="prefSaveWindowGeometry"><!-- --></A><H3>
prefSaveWindowGeometry</H3>
<PRE>
boolean <B>prefSaveWindowGeometry</B></PRE>
<DL>
<DD>Save the size and location of windows when you close Njord.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="prefShwSysiRules"><!-- --></A><H3>
prefShwSysiRules</H3>
<PRE>
boolean <B>prefShwSysiRules</B></PRE>
<DL>
<DD>Show system iRules.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="prefShwExpmntl"><!-- --></A><H3>
prefShwExpmntl</H3>
<PRE>
boolean <B>prefShwExpmntl</B></PRE>
<DL>
<DD>Show experimental items.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="prefReqMasterPassword"><!-- --></A><H3>
prefReqMasterPassword</H3>
<PRE>
boolean <B>prefReqMasterPassword</B></PRE>
<DL>
<DD>Require that the user enter a password to encrypt and decrypt passwords stored on disk. If set to no Njord will use 
 a built in value.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="prefMasterPasword"><!-- --></A><H3>
prefMasterPasword</H3>
<PRE>
char[] <B>prefMasterPasword</B></PRE>
<DL>
<DD>The actual pass phrase used to encrypt and decrypt passwords stored on disk.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="prefShwLineNumbers"><!-- --></A><H3>
prefShwLineNumbers</H3>
<PRE>
boolean <B>prefShwLineNumbers</B></PRE>
<DL>
<DD>Show visible line numbers yes/no.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="prefCodeFoldingEnabled"><!-- --></A><H3>
prefCodeFoldingEnabled</H3>
<PRE>
boolean <B>prefCodeFoldingEnabled</B></PRE>
<DL>
<DD>Code folding yes/no.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="prefLineWrapEnabled"><!-- --></A><H3>
prefLineWrapEnabled</H3>
<PRE>
boolean <B>prefLineWrapEnabled</B></PRE>
<DL>
<DD>Line wrap yes/no.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="prefAutoScroll"><!-- --></A><H3>
prefAutoScroll</H3>
<PRE>
boolean <B>prefAutoScroll</B></PRE>
<DL>
<DD>Auto scroll yes/no.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="prefAutoActivationEnabled"><!-- --></A><H3>
prefAutoActivationEnabled</H3>
<PRE>
boolean <B>prefAutoActivationEnabled</B></PRE>
<DL>
<DD>Should autocomplete activate automatically yes/no. If not a keystroke will need to be supplied.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="prefAutoActivationDelay"><!-- --></A><H3>
prefAutoActivationDelay</H3>
<PRE>
int <B>prefAutoActivationDelay</B></PRE>
<DL>
<DD>If autocomplete activates automatically. How long should we wait before completing. 0 means we will try and complete as you are typing.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="prefPaintTabLines"><!-- --></A><H3>
prefPaintTabLines</H3>
<PRE>
boolean <B>prefPaintTabLines</B></PRE>
<DL>
<DD>Shows arrows for tabs "--->--->--->".
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="prefVisibleWhiteSpace"><!-- --></A><H3>
prefVisibleWhiteSpace</H3>
<PRE>
boolean <B>prefVisibleWhiteSpace</B></PRE>
<DL>
<DD>Shows dots for spaces and such.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="prefEOLMarkersVisible"><!-- --></A><H3>
prefEOLMarkersVisible</H3>
<PRE>
boolean <B>prefEOLMarkersVisible</B></PRE>
<DL>
<DD>Paints a special, if somewhat odd character at EOL.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="bigips"><!-- --></A><H3>
bigips</H3>
<PRE>
java.util.List&lt;<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A>&gt; <B>bigips</B></PRE>
<DL>
<DD>Stores all the BIG-IP entries stored in the preferences file.
<P>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="NjordPreferences()"><!-- --></A><H3>
NjordPreferences</H3>
<PRE>
public <B>NjordPreferences</B>()</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getBIGIPS()"><!-- --></A><H3>
getBIGIPS</H3>
<PRE>
public java.util.List&lt;<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A>&gt; <B>getBIGIPS</B>()</PRE>
<DL>
<DD>Returns the bigip objects for the bigips we are storing. Currently only returns a dummy list.
<P>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getDisplayExperimental()"><!-- --></A><H3>
getDisplayExperimental</H3>
<PRE>
public boolean <B>getDisplayExperimental</B>()</PRE>
<DL>
<DD>Should we display experimental items?
<P>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="setBIGIPS(java.util.List)"><!-- --></A><H3>
setBIGIPS</H3>
<PRE>
public void <B>setBIGIPS</B>(java.util.List&lt;<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A>&gt;&nbsp;bigips)</PRE>
<DL>
<DD>NOT IMPLEMENTED Set/Update the list of BIGIPS. 
 Normally this list will be populated from the preferences files however this method will be used to modify it's contents.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>bigips</CODE> - </DL>
</DD>
</DL>
<HR>

<A NAME="addBigIP(com.theuberlab.njord.model.BigIP)"><!-- --></A><H3>
addBigIP</H3>
<PRE>
public void <B>addBigIP</B>(<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A>&nbsp;newBigIP)</PRE>
<DL>
<DD>Adds a bigip to the list of bigips.
 Automatically triggers writePreferences()
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>newBigIP</CODE> - </DL>
</DD>
</DL>
<HR>

<A NAME="removeBigIP(com.theuberlab.njord.model.BigIP)"><!-- --></A><H3>
removeBigIP</H3>
<PRE>
public void <B>removeBigIP</B>(<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A>&nbsp;oldBigIP)</PRE>
<DL>
<DD>removes a BigIP from the list of bigips.
 Automatically triggers writePreferences()
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>newBigIP</CODE> - </DL>
</DD>
</DL>
<HR>

<A NAME="replaceBigIP(com.theuberlab.njord.model.BigIP, com.theuberlab.njord.model.BigIP)"><!-- --></A><H3>
replaceBigIP</H3>
<PRE>
public void <B>replaceBigIP</B>(<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A>&nbsp;oldBigIP,
                         <A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A>&nbsp;newBigIP)</PRE>
<DL>
<DD>Replaces a bigip's settings with new ones.
 Really just a wrapper for removeBigIP(BigIP), addBigIp(BigIP)
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>oldBigIP</CODE> - <DD><CODE>newBigIP</CODE> - </DL>
</DD>
</DL>
<HR>

<A NAME="getLayoutPrefsFilePath()"><!-- --></A><H3>
getLayoutPrefsFilePath</H3>
<PRE>
public java.lang.String <B>getLayoutPrefsFilePath</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getSaveWindowGeometry()"><!-- --></A><H3>
getSaveWindowGeometry</H3>
<PRE>
public boolean <B>getSaveWindowGeometry</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getShwSysiRules()"><!-- --></A><H3>
getShwSysiRules</H3>
<PRE>
public boolean <B>getShwSysiRules</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getShwExpmntl()"><!-- --></A><H3>
getShwExpmntl</H3>
<PRE>
public boolean <B>getShwExpmntl</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getShwLineNumbers()"><!-- --></A><H3>
getShwLineNumbers</H3>
<PRE>
public boolean <B>getShwLineNumbers</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getCodeFoldingEnabled()"><!-- --></A><H3>
getCodeFoldingEnabled</H3>
<PRE>
public boolean <B>getCodeFoldingEnabled</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getLineWrapEnabled()"><!-- --></A><H3>
getLineWrapEnabled</H3>
<PRE>
public boolean <B>getLineWrapEnabled</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getAutoScroll()"><!-- --></A><H3>
getAutoScroll</H3>
<PRE>
public boolean <B>getAutoScroll</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getAutoActivationEnabled()"><!-- --></A><H3>
getAutoActivationEnabled</H3>
<PRE>
public boolean <B>getAutoActivationEnabled</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getAutoActivationDelay()"><!-- --></A><H3>
getAutoActivationDelay</H3>
<PRE>
public int <B>getAutoActivationDelay</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getPaintTabLines()"><!-- --></A><H3>
getPaintTabLines</H3>
<PRE>
public boolean <B>getPaintTabLines</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getVisibleWhiteSpace()"><!-- --></A><H3>
getVisibleWhiteSpace</H3>
<PRE>
public boolean <B>getVisibleWhiteSpace</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getEOLMarkersVisible()"><!-- --></A><H3>
getEOLMarkersVisible</H3>
<PRE>
public boolean <B>getEOLMarkersVisible</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toggleShwLineNumbers()"><!-- --></A><H3>
toggleShwLineNumbers</H3>
<PRE>
public boolean <B>toggleShwLineNumbers</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toggleCodeFoldingEnabled()"><!-- --></A><H3>
toggleCodeFoldingEnabled</H3>
<PRE>
public boolean <B>toggleCodeFoldingEnabled</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toggleLineWrapEnabled()"><!-- --></A><H3>
toggleLineWrapEnabled</H3>
<PRE>
public boolean <B>toggleLineWrapEnabled</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toggleAutoScroll()"><!-- --></A><H3>
toggleAutoScroll</H3>
<PRE>
public boolean <B>toggleAutoScroll</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toggleAutoActivationEnabled()"><!-- --></A><H3>
toggleAutoActivationEnabled</H3>
<PRE>
public boolean <B>toggleAutoActivationEnabled</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="togglePaintTabLines()"><!-- --></A><H3>
togglePaintTabLines</H3>
<PRE>
public boolean <B>togglePaintTabLines</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toggleVisibleWhiteSpace()"><!-- --></A><H3>
toggleVisibleWhiteSpace</H3>
<PRE>
public boolean <B>toggleVisibleWhiteSpace</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toggleEOLMarkersVisible()"><!-- --></A><H3>
toggleEOLMarkersVisible</H3>
<PRE>
public boolean <B>toggleEOLMarkersVisible</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getBigIP(java.lang.String)"><!-- --></A><H3>
getBigIP</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A> <B>getBigIP</B>(java.lang.String&nbsp;bigIPName)
               throws <A HREF="../../../../com/theuberlab/njord/exceptions/NoSuchBigIPException.html" title="class in com.theuberlab.njord.exceptions">NoSuchBigIPException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../com/theuberlab/njord/exceptions/NoSuchBigIPException.html" title="class in com.theuberlab.njord.exceptions">NoSuchBigIPException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getMasterPassword()"><!-- --></A><H3>
getMasterPassword</H3>
<PRE>
public char[] <B>getMasterPassword</B>()</PRE>
<DL>
<DD>Returns the master password used to encrypt and decrypt passwords stored on disk. This value is stored only in memory.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setMasterPassword(char[])"><!-- --></A><H3>
setMasterPassword</H3>
<PRE>
public void <B>setMasterPassword</B>(char[]&nbsp;password)</PRE>
<DL>
<DD>Sets the master password used to encrypt and decrypt passwords stored on disk. This value is stored only in memory.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="loadPreferences()"><!-- --></A><H3>
loadPreferences</H3>
<PRE>
private boolean <B>loadPreferences</B>()</PRE>
<DL>
<DD>loadPreferences will handle reading in connections preferences and creating the prefs file if need be. 
 That is if I use the whole file thing at all instead of changing to java.util.prefs. 
 There are actually two separate types of preferences Application preferences and connection preferences. This was written
 when there was only the latter and this method needs to be replaced.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>Success/Failure.</DL>
</DD>
</DL>
<HR>

<A NAME="writePreferences()"><!-- --></A><H3>
writePreferences</H3>
<PRE>
public boolean <B>writePreferences</B>()</PRE>
<DL>
<DD>Writes preferences to disk after you have edited them.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>Success/Failure status.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NjordPreferences.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../com/theuberlab/njord/util/NjordParser.toolTipNotice.html" title="class in com.theuberlab.njord.util"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../com/theuberlab/njord/util/NjordWindowSaver.html" title="class in com.theuberlab.njord.util"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?com/theuberlab/njord/util/NjordPreferences.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NjordPreferences.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
